Bug 170506 - [PATCH] graphics/libGL: Don't link to -lpthread directly
Summary: [PATCH] graphics/libGL: Don't link to -lpthread directly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-09 17:40 UTC by Jason E. Hale
Modified: 2012-09-13 19:10 UTC (History)
1 user (show)

See Also:


Attachments
2012-08-08-libGL.diff (1.67 KB, patch)
2012-08-09 17:40 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason E. Hale 2012-08-09 17:40:01 UTC
The Mesa libraries link to -lpthread instead of PTHREAD_LIBS

How-To-Repeat: Build graphics/libGL, graphics/libGLU, graphics/libGLw, or graphics/dri
Comment 1 Edwin Groothuis freebsd_committer 2012-08-09 17:40:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Steve Wills freebsd_committer 2012-09-09 23:10:25 UTC
Responsible Changed
From-To: freebsd-x11->swills

I'll take it.
Comment 3 Steve Wills freebsd_committer 2012-09-13 19:08:06 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2012-09-13 19:08:10 UTC
Author: swills
Date: Thu Sep 13 18:07:55 2012
New Revision: 304226
URL: http://svn.freebsd.org/changeset/ports/304226

Log:
  - Use PTHREAD_LIBS instead of -lpthread
  
  PR:		ports/170506
  Submitted by:	Jason E. Hale <bsdkaffee@gmail.com>

Modified:
  head/graphics/dri/Makefile   (contents, props changed)
  head/graphics/libGL/Makefile   (contents, props changed)
  head/graphics/libGL/bsd.mesalib.mk   (contents, props changed)
  head/graphics/libGLU/Makefile   (contents, props changed)
  head/graphics/libGLw/Makefile   (contents, props changed)

Modified: head/graphics/dri/Makefile
==============================================================================
--- head/graphics/dri/Makefile	Thu Sep 13 16:15:23 2012	(r304225)
+++ head/graphics/dri/Makefile	Thu Sep 13 18:07:55 2012	(r304226)
@@ -7,7 +7,7 @@
 
 PORTNAME=	dri
 PORTVERSION=	${MESAVERSION}
-PORTREVISION=	1
+PORTREVISION=	2
 PORTEPOCH=	2
 CATEGORIES=	graphics
 

Modified: head/graphics/libGL/Makefile
==============================================================================
--- head/graphics/libGL/Makefile	Thu Sep 13 16:15:23 2012	(r304225)
+++ head/graphics/libGL/Makefile	Thu Sep 13 18:07:55 2012	(r304226)
@@ -7,7 +7,7 @@
 
 PORTNAME=	libGL
 PORTVERSION=	${MESAVERSION}
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	graphics
 
 COMMENT=	OpenGL library that renders using GLX or DRI

Modified: head/graphics/libGL/bsd.mesalib.mk
==============================================================================
--- head/graphics/libGL/bsd.mesalib.mk	Thu Sep 13 16:15:23 2012	(r304225)
+++ head/graphics/libGL/bsd.mesalib.mk	Thu Sep 13 18:07:55 2012	(r304226)
@@ -102,7 +102,7 @@ CONFIGURE_ARGS+=	--enable-xcb
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|-ffast-math|${FAST_MATH}|' -e 's|x86_64|amd64|' \
-		${WRKSRC}/configure
+		-e 's|-lpthread|${PTHREAD_LIBS}|g' ${WRKSRC}/configure
 	@${REINPLACE_CMD} -e 's|[$$](INSTALL_LIB_DIR)/pkgconfig|${PREFIX}/libdata/pkgconfig|' \
 		${WRKSRC}/src/glu/Makefile \
 		${WRKSRC}/src/glw/Makefile \

Modified: head/graphics/libGLU/Makefile
==============================================================================
--- head/graphics/libGLU/Makefile	Thu Sep 13 16:15:23 2012	(r304225)
+++ head/graphics/libGLU/Makefile	Thu Sep 13 18:07:55 2012	(r304226)
@@ -6,6 +6,7 @@
 #
 
 PORTNAME=	libGLU
+PORTREVISION=	1
 PORTVERSION=	${MESAVERSION}
 CATEGORIES=	graphics
 

Modified: head/graphics/libGLw/Makefile
==============================================================================
--- head/graphics/libGLw/Makefile	Thu Sep 13 16:15:23 2012	(r304225)
+++ head/graphics/libGLw/Makefile	Thu Sep 13 18:07:55 2012	(r304226)
@@ -7,6 +7,7 @@
 
 PORTNAME=	libGLw
 PORTVERSION=	${MESAVERSION}
+PORTREVISION=	1
 CATEGORIES=	graphics
 
 COMMENT=	OpenGL widgets library
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"